Bug 803600 - virt-manager crash when deleting volumes
virt-manager crash when deleting volumes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager (Show other bugs)
6.2
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
abrt_hash:c4018b63d6010526b20a39e7026...
:
: 809435 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 04:28 EDT by Stanislav Graf
Modified: 2012-06-20 08:39 EDT (History)
9 users (show)

See Also:
Fixed In Version: virt-manager-0.9.0-12.el6
Doc Type: Bug Fix
Doc Text:
Previously, virt-manager could crash if the user quickly deleted several storage volumes in succession. This crash was caused by data locking when deleting the storage volume. This crash has been fixed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 08:39:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (163.93 KB, text/plain)
2012-03-15 04:28 EDT, Stanislav Graf
no flags Details
File: maps (68.65 KB, text/plain)
2012-03-15 04:28 EDT, Stanislav Graf
no flags Details
Fix the crash (697 bytes, text/plain)
2012-04-16 13:14 EDT, Cole Robinson
no flags Details

  None (edit)
Description Stanislav Graf 2012-03-15 04:28:20 EDT
abrt version: 2.0.5
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/virt-manager/virt-manager.py
comment:        Delete several volumes from storage.
crash_function: write
executable:     /usr/bin/python
kernel:         2.6.32-220.7.1.el6.x86_64
reason:         Process /usr/bin/python was killed by signal 11 (SIGSEGV)
time:           Thu 15 Mar 2012 09:22:48 AM CET
uid:            500
username:       sgraf

backtrace:      Text file, 167864 bytes
maps:           Text file, 70296 bytes
sosreport.tar.xz: Binary file, 1673316 bytes

build_ids:
:c6eee6e0abcb1b5192f283eafec73afc43db7266
:384f8199397d12195afe416eba62cd7e118cd1e0
:7c35453921058b29cf27cb05c7c0f0feb5833e87
:aac35ba78a1b58042d268fa99269d75b3ac261bd
:60f8b588f6b1e8b49da11401c02d9758b85895b8
:5859cdac314595866cee08d03cd4de23d4743ede
:94186f8179bcf93e2bc2144317b7a45ebf8dbf26
:317315e10ed432771d931f5b691ad713f671bbd6
:be788f73fa9ae9d9a9dcfc16c668b6e42119f03f
:e9bc530ce0a2a3a0b48330c45f07e35c8debdfc8
:ba6131011e063a834e512be3165d62cd7e9162ac
:787af374dfa7662f1a25b132628ac8ecc829a188
:0d81d56106e0aabc1b006845b8930f302f55f1bd
:9f47154b0c49a7209c5f5662a7c580a900e03e30
:5d8e6fb77752d039cc4f93561db7a84bf0725212
:5220243900a2b43d4c70a2e64614adf21eb33e26
:45848b03f0ed5a85bd6758887df2ef92fc0780a7
:60c9a81d3e0c33ad623ef967c90297a6abe56d5d
:bd84511e579372eed296c422f4e1c67c578bd448
:544477494fb40f36ccb6de0174ead09cd645fb43
:1cd623312433096c50a2af396db1e9caab2cb263
:7365cb4cb7d7677646595310d19bf995cf9008b4
:3b5acc6e00b8031105ba66b0686b2c4deafa5b64
:104a18ab495bc8362138d11a2e7629aa1afaeb90
:4ecfdf49dbbd652fa6466e7b1ac6e997a4127c76
:9f9edb3cec616d480dd4fe2550e1897f1e6b0727
:ca50914c654baee8145cb67329e37e905b56fa71
:87f1c23045216178fea1723d80392ce25253f5e3
:f6deffc68f2a43d7f70c5b2be89733939dc0a180
:e668921b5a43b5a175b200090fc1c6ee5a545f84
:ac85b7dec37aba7b05f71005e2e513f4f893b6bd
:d5f2b4999982d91a28ee371ab0cb0a438b4e6741
:95edce48aa94728b5005067324ae693fdbcdbf50
:39908d049da0eec0bfba6edab7dbef8f01d0a14f
:c5890c13699391fca9e7363420cbbf7c84c1c7da
:1a65509afa5630b71d81fc7b294d04edfe6e215a
:088e1517c7332a8dad5a5acda59b079268dc9444
:dfd32f0808469788e66bf4c97fa12e8eefee70f9
:60d8c0785c60851fa2cfd77162cf707e2a72961d
:ec528c5c83f547502a74371e95d0ba1c1b9742ee
:edb81777ec18e1590b7cc7b32e038862c6b3db66
:cf0018d7405988deb4e630b2b828bd922c439777
:55d659b2133cd54edb429f9a9e34a90e6c4644a9
:f345c49772a992fe5a50b4626189f6438ccb5ad5
:00741bc830167c952a6b96a13bdcc11c7d052bf7
:9ccf5d974cbbb379b70426544cc4e6ec84416e22
:df7adf38c7397ac52db0cf7838952cd5ff6b4a6e
:2c5d2c8dd4e6694e492988b23adfec17149a8a79
:5d985e47e07d9596e3175bc455ae331f63690e0d
:f00c0a2bab5c61956810d185a19c79f2cb964faa
:2aa101fed6494d874b71de0e3570db75fc53ce75
:1ed6a719c7cfecaefb653ffa36ca898c53b28e33
:3ac79b2b98b7665c7772ecb22f4959c4f104a6bc
:b07769b35793f0faab140ca816890d23e7b0ce95
:335fae88fd8dd3f44e251f68ea0bb9af37671856
:100a3d517d43acd9fb923810ce12a06d4834964c
:66c60d97128e879e369fe3065ed88c806516aff4
:cd9da7b5b1fcb25ee6b3762bb9fe62f782590fd5
:3ab4954691611f20ac4334fc4c335b93c540f5e3
:851e762a8cca7c9e35f6c9499ef1550fe1b0172f
:7f64d1648fd391d633e91b8dce2a7b677d5cbcf8
:e574daac0d111448304c3292e4148d4c9b682e86
:71a2ffd389c34c909f63bb124212f36e1c821729
:2e3833ee837e7fe2ef036f53ea0c5b9614960ef7
:78ac96d41df3e4e18102b98d4fbffe070c722ef5
:6dfb7996503d7fddf4c8a2327296429b3109ce9d
:1091613e71ba2afa6378d02d4bd8ec2a7f3ebb47
:c1f68e40dc2f64303ec18dfaff3cef1377ce8d48
:a7ab6f004d94ede5624e38c8cd057b52746f7ca0
:8122c3f5ac9124183654516de51cf81d1f9e6533
:76d0fdc3598dafb78ebcd6ec02641602d6b41cc9
:e69c4389f0cce2f181e0e2aa129aa61f6dbb1d69
:59a0da960935ce16ecbbd4fdc3f88ceab8355ed3
:9754896de655b6ac088ec2bf5113b35c06f72709
:1a40a5cc02e38c28ef0dc765d1dcc0163668405b
:857153804eddc8b792fae4bf3de9c50579c556ed
:5fa0ddc0116155e02cccf265571ff156d2d88053
:6e7fe2b5cf16cacb1b035fa389fff8be1d164117
:d8cbc0d5c21a392c382864ecb152e2dd2a068bee
:d0729f1c1d50e3d32275731a0350d8a3616ba6ae
:5899ae69a1270e04b85f11bb267f00f7101d8785
:88326763838c1e5787d18f72eaab68f53563af9f
:e6dff98ca6d13172693e8cb5ec203ca561bd94c0
:e09d19495765ac0b57e708362445a0fec46502b8
:ba1855ce11e22ef77dde9e822f825b6ff345d6a9
:c15854006c985500568dc5aebc715381beed7bc2
:0dc4d9ebf1e526d5cbf002232aa5292284c18664
:9214f3dcca7ada68137084707da78fb2501bc1a3
:355d765a262e1d19a84d4b2707b8800bde875aed
:f8d3c094bd629cdc570bdeabdf3c8ae172bbb387
:99c786403ff0558c886b5e25dbb9979e12faa18b
:c76a2ec8fe369c6e3e23c22b77db9d89bcf25683
:d908d0affc6b691bb555a0b482a9cb95ecdd263e
:2875a55dbf9490291b2a2759f8fa8054cf8dce5d
:eb95361a457b61f0713cbcb049111cc1ec4ad97f
:f1315939e3f878ddd5a48ca0708dccc6470ef503
:1b0e320e1004c9cd45bd58eb1ef940151f41b1aa
:a7937912126127e823a1938c2f9479eb5bcb05c2
:6dfba74c25a4af3145e83a33e6e2a9f2e4f8c3bc
:7565f1c65de947c6c1ca4a495a6cfb47bc4532e3
:58e2b6591697954e1d95803855eb532ec35af477
:b3d2d172b9a201cae7af5250e6ae760c51251a51
:30bcee2ed456086893bb76ae53c91effe4ac4fb6
:679684a177de8a8093ff76891a591ac8f400dce0
:6d385a4b80740901718b43368d1a1ce47ef672e8
:3ec9c9ab22a7ba181151a09c48c5267264709f0e
:d4b602f43ce841f393289c5a4b27c4b70a842024
:d2fdcebdc478dd77436e98dab9a8e53c1c59a7a3
:b6823fbc4d3e722e38d52690270f8469b2ed3f9a
:ac50b0607a56bfdb0f28b2059adbc6c14e661281
:19cabf180c95d391c0c0d5bf8329cbc6496ce54b
:df2ac8b38be5f811044bc930c424a3889b18f358
:db47bcbf7f973dbd31101fa3aa526a18fabb354f
:86b5b5f405f9a11c695f60921182d56606375f77
:c20eb0511db47f762b9ef1bc9e0ac6927a22ea26
:d7ebba3ce5425b6ee5b780ace94d565585c1fdae
:e6c86e69c72cdab8468ed2e2fd0c2506509a3924
:49c9f4bad47be86354c56e0749d64a064a699d7b
:3673912935b1983c5d616e18b01d7552db5a0bc8
:b16d179c581a776744d1894103013a5d4c1b7aec
:d0a08768ee749f3b822d45bd6fb4e1366ee711cc
:c97916627495320605d067c084f33a344b1b2d3e
:209a7ebeab54483fed76e2a984b4aeae29c66d69
:64d76c84e3288fd1b7296a822794e189ddc457e4
:ac9828b3f4a6b215a70c018b2d81f6b33994489d
:7c1952207cc22bca72fb4b02882666fd84f9e5f8
:a001f308d4cfe52e2f5a7900666c9d2bdc403f6f
:579376f7b894943f981411503f28245ed755ba00
:656bbcc163eb4d2bc5f1404c77b58bf719af643b
:1250b1d041dd7552f0c870bb188dc3a34df2651d
:582e1ad1ff2a071f218d7f3819c3e388f9c2f3eb
:c8d2b6ccd2627cd196e0c192c5026e91e856fa69
:46e41a9dba0ab8364e6ba655bb15982958cc7bef
:7d47f124e46164d56ec98d01a315eabcb1a78d8f
:94255f33b2b808914c063e38c138eb18bc74d638
:7bca5f1aa915feddb6059df918c7a2d4f0093bae
:cfe7acec2f5feec5f41648864726445b0e6e5d91
:4d7a7266f3e891524fb3434b559343422b69af09
:657f579aa5f9d9fe88a7b6911a0d26a5640fc304
:f0e6d6645e3c8a5232b61e06bc0ebed15373685d
:f692ce5d9774fe16d0481248e6be3733bc5dfc9a
:87284c837d9c502a56410f8cb45b201cef3f3186
:c31493eb74f7f093e7e55dee5d3a31a2c9fc1a38
:7201f43e85740042e1960b1c4a72bed0028493a4
:39c39fb43da880c5c40b303a6967c0e93ac4716c
:293f8b6f5e6cea240d1bb0b47ec269ee91f31673
:08756c6e28627d52adaa43566a90d2943c54ab2c
:462eb13080f5f3554c40b2074cd78287095252d7
:a2833eb1e764b4bfdb3c78d292311e18255a8336
:abad2c7d8d62854bf125d13044976bf90fa001ed
:39d20e272fcc5ffca547cb361d019ca937a89ffb
:212c58fb4e1a82c12b446a86521b28f36c6002c4
:c3ea2a4d5202a8e1b7f7534e30450865fc5608b5
:e1d31cf0be26ddbc501eba6d197577d32d78cfb6
:2ef9a078479db8c9b74f68fc863c79d051339a18
:0e30d556d5282bc7924881f6a72d37ef11fb56a6
:5046d1772895d84c715249a08dadd738caaa6787
:8c0c7cab7f028e4592a8581eb2122fbecab26b97
:a3dc02f3f1346b4b271801be529e079948cf69da
:662f930a2ee88efd1e301fdbccf6a061a03ea6be
:2da6700489335a22649d42a40164d166e7932320
:954b20959cfe3b026eba789284980eed371ae9f0
:377e15d7559da4f2ee697c61b6e83ad20482a566
:8f5f1b5e9d1b4ca655c88c84704b3b9b705c245f
:121a138a352877910a83941a629c4b4fa6e6bea6
:5659eb985475b586e3bbcb95ba21f4a30be5ebf4
:9c481a2d4da3a93eba8c003ad7b5ee93561e6a97
:bdd0c25b034a05ab2c265ff67cac1dbb5ecd0c02
:4f384dc8645fd4b12da1c822ddf952a7d2a917a2
:a63d52bb1c050f6f04b6087bd0d08e7fe71de1bc
:dca6606dd4d5a5f59a8c8cb666a88f42e9b15490
:14189e63fcc98ea0dbba4530aebfd25a475f76a6
:7ea457edd845ca502de30f82b2d7cd9e905dab41
:666eb64674361e47044062c389dd068c6125fe96
:0f8779bc947701d05b97882fa0562242654dbc60
:b0e5f3be7ff39f1ee187dbf0aec2ac9ed0e80d6f
:1113aa8341f29e7882925ffedcd61206af26c5ad
:baf327d73b4a5710b45775d939788713f718cf3a
:b5307985ae3efd44cfde8eb3149a8d9cb95e4135
:d880be15bf992b5fbcc629e6bbf1c747a928ddd5
:3dc1f5c68ed7fb960fd84e20dfcdc85a95c3ebbf

dso_list:
:/lib64/libudev.so.0.5.1 libudev-147-2.40.el6.x86_64 (Red Hat, Inc.) 1324834033
:/usr/lib64/python2.6/lib-dynload/_hashlib.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/libgnutls.so.26.14.12 gnutls-2.8.5-4.el6.x86_64 (Red Hat, Inc.) 1324834049
:/usr/lib64/libpangoft2-1.0.so.0.2800.1 pango-1.28.1-3.el6_0.5.x86_64 (Red Hat, Inc.) 1324834183
:/usr/lib64/python2.6/site-packages/gtk-2.0/gconf.so gnome-python2-gconf-2.28.0-3.el6.x86_64 (Red Hat, Inc.) 1324834211
:/lib64/liblber-2.4.so.2.5.6 openldap-2.4.23-20.el6.x86_64 (Red Hat, Inc.) 1324834131
:/lib64/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-57.el6.x86_64 (Red Hat, Inc.) 1324834032
:/usr/lib64/python2.6/lib-dynload/_socketmodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/python2.6/site-packages/cairo/_cairo.so pycairo-1.8.6-2.1.el6.x86_64 (Red Hat, Inc.) 1324834210
:/usr/lib64/libvte.so.9.2501.0 vte-0.25.1-7.el6.x86_64 (Red Hat, Inc.) 1324834341
:/lib64/libnl.so.1.1 libnl-1.1-14.el6.x86_64 (Red Hat, Inc.) 1324834040
:/usr/lib64/libvorbisenc.so.2.0.6 libvorbis-1:1.2.3-4.el6_2.1.x86_64 (Red Hat, Inc.) 1329304898
:/lib64/libnspr4.so nspr-4.8.9-3.el6_2.x86_64 (Red Hat, Inc.) 1330185056
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.11-1.1.el6.noarch (Red Hat, Inc.) 1324834109
:/usr/lib64/python2.6/site-packages/gtk-2.0/glib/_glib.so pygobject2-2.20.0-5.el6.x86_64 (Red Hat, Inc.) 1324834157
:/usr/lib64/python2.6/lib-dynload/fcntlmodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.2-1.el6.x86_64 (Red Hat, Inc.) 1324834179
:/usr/lib64/libFLAC.so.8.2.0 flac-1.2.1-6.1.el6.x86_64 (Red Hat, Inc.) 1324834051
:/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf dejavu-sans-fonts-2.30-2.el6.noarch (Red Hat, Inc.) 1324834095
:/lib64/libdl-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/lib64/libgcrypt.so.11.5.3 libgcrypt-1.4.5-9.el6.x86_64 (Red Hat, Inc.) 1324834045
:/usr/lib64/python2.6/lib-dynload/zlibmodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.9-11.el6.x86_64 (Red Hat, Inc.) 1324834025
:/usr/lib64/python2.6/site-packages/libvirtmod.so libvirt-python-0.9.4-23.el6_2.6.x86_64 (Red Hat, Inc.) 1331742152
:/usr/lib64/libfreetype.so.6.3.22 freetype-2.3.11-6.el6_1.8.x86_64 (Red Hat, Inc.) 1325761699
:/usr/lib64/python2.6/site-packages/gtk-2.0/gobject/_gobject.so pygobject2-2.20.0-5.el6.x86_64 (Red Hat, Inc.) 1324834157
:/usr/lib64/python2.6/site-packages/SpiceClientGtk.so spice-gtk-python-0.6-2.el6.x86_64 (Red Hat, Inc.) 1324838800
:/usr/lib64/libcanberra-gtk.so.0.1.5 libcanberra-gtk2-0.22-1.el6.x86_64 (Red Hat, Inc.) 1324834186
:/usr/lib64/python2.6/site-packages/_dbus_bindings.so dbus-python-0.83.0-6.1.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/libspice-client-gtk-2.0.so.1.1.0 spice-gtk-0.6-2.el6.x86_64 (Red Hat, Inc.) 1324838796
:/lib64/libz.so.1.2.3 zlib-1.2.3-27.el6.x86_64 (Red Hat, Inc.) 1324834029
:/usr/lib64/python2.6/lib-dynload/_localemodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.4.3-12.el6.x86_64 (Red Hat, Inc.) 1324834351
:/usr/lib64/libXext.so.6.4.0 libXext-1.1-3.el6.x86_64 (Red Hat, Inc.) 1324834177
:/usr/lib64/python2.6/site-packages/gtk-2.0/pangocairo.so pygtk2-2.16.0-3.el6.x86_64 (Red Hat, Inc.) 1324834211
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-6b-46.el6.x86_64 (Red Hat, Inc.) 1324834030
:/lib64/ld-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib/locale/locale-archive glibc-common-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476923
:/lib64/libnss_files-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/lib64/libtinfo.so.5.7 ncurses-libs-5.7-3.20090208.el6.x86_64 (Red Hat, Inc.) 1324834027
:/usr/lib64/python2.6/site-packages/gtk-2.0/gio/unix.so pygobject2-2.20.0-5.el6.x86_64 (Red Hat, Inc.) 1324834157
:/lib64/librt-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libxslt.so.1.1.26 libxslt-1.1.26-2.el6.x86_64 (Red Hat, Inc.) 1324834045
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-5.el6.x86_64 (Red Hat, Inc.) 1324834089
:/lib64/libpthread-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.10-2.el6.x86_64 (Red Hat, Inc.) 1324834179
:/usr/lib64/libpython2.6.so.1.0 python-libs-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834151
:/usr/lib64/libpulsecommon-0.9.21.so pulseaudio-libs-0.9.21-13.el6.x86_64 (Red Hat, Inc.) 1324834179
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.5-1.el6.x86_64 (Red Hat, Inc.) 1324834047
:/usr/lib64/python2.6/lib-dynload/cPickle.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/python2.6/site-packages/gtk-2.0/pango.so pygtk2-2.16.0-3.el6.x86_64 (Red Hat, Inc.) 1324834211
:/lib64/libldap-2.4.so.2.5.6 openldap-2.4.23-20.el6.x86_64 (Red Hat, Inc.) 1324834131
:/usr/lib64/libcanberra.so.0.2.1 libcanberra-0.22-1.el6.x86_64 (Red Hat, Inc.) 1324834179
:/lib64/libncurses.so.5.7 ncurses-libs-5.7-3.20090208.el6.x86_64 (Red Hat, Inc.) 1324834027
:/usr/lib64/libtasn1.so.3.1.6 libtasn1-2.3-3.el6.x86_64 (Red Hat, Inc.) 1324834049
:/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.22-1.el6.x86_64 (Red Hat, Inc.) 1324834186
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.4.3-12.el6.x86_64 (Red Hat, Inc.) 1324834351
:/usr/lib64/libyajl.so.1.0.7 yajl-1.0.7-3.el6.x86_64 (Red Hat, Inc.) 1324838798
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.el6.x86_64 (Red Hat, Inc.) 1324834105
:/usr/lib64/libpcap.so.1.0.0 libpcap-14:1.0.0-6.20091201git117cb5.el6.x86_64 (Red Hat, Inc.) 1324834079
:/lib64/libm-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/python2.6/lib-dynload/_struct.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/libibus.so.2.0.0 ibus-libs-1.3.4-6.el6.x86_64 (Red Hat, Inc.) 1324834179
:/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.5.8-19.el6.x86_64 (Red Hat, Inc.) 1324834207
:/usr/lib64/libgdk_pixbuf-2.0.so.0.1800.9 gtk2-2.18.9-6.el6.x86_64 (Red Hat, Inc.) 1324834184
:/usr/lib64/python2.6/lib-dynload/_ssl.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf dejavu-sans-fonts-2.30-2.el6.noarch (Red Hat, Inc.) 1324834095
:/usr/lib64/libnuma.so.1 numactl-2.0.3-9.el6.x86_64 (Red Hat, Inc.) 1324838799
:/usr/lib64/python2.6/lib-dynload/timemodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/python2.6/lib-dynload/stropmodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-1.el6.x86_64 (Red Hat, Inc.) 1324834029
:/lib64/libglib-2.0.so.0.2200.5 glib2-2.22.5-6.el6.x86_64 (Red Hat, Inc.) 1324834036
:/usr/lib64/libgtk-x11-2.0.so.0.1800.9 gtk2-2.18.9-6.el6.x86_64 (Red Hat, Inc.) 1324834184
:/usr/lib64/python2.6/site-packages/gtk-2.0/gnomekeyring.so gnome-python2-gnomekeyring-2.28.0-4.el6.x86_64 (Red Hat, Inc.) 1324834212
:/usr/lib64/python2.6/site-packages/pycurl.so python-pycurl-7.19.0-8.el6.x86_64 (Red Hat, Inc.) 1324834173
:/lib64/libgio-2.0.so.0.2200.5 glib2-2.22.5-6.el6.x86_64 (Red Hat, Inc.) 1324834036
:/lib64/libutil-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.1-2.el6.x86_64 (Red Hat, Inc.) 1324834182
:/usr/lib64/libpixman-1.so.0.18.4 pixman-0.18.4-1.el6_0.1.x86_64 (Red Hat, Inc.) 1324834043
:/usr/lib64/libexslt.so.0.8.15 libxslt-1.1.26-2.el6.x86_64 (Red Hat, Inc.) 1324834045
:/usr/lib64/libgnome-keyring.so.0.1.1 gnome-keyring-2.28.2-6.el6.x86_64 (Red Hat, Inc.) 1324834185
:/lib64/libaudit.so.1.0.0 audit-libs-2.1.3-3.el6.x86_64 (Red Hat, Inc.) 1324834031
:/lib64/libcom_err.so.2.1 libcom_err-1.41.12-11.el6.x86_64 (Red Hat, Inc.) 1324834029
:/usr/lib64/python2.6/lib-dynload/operator.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/lib64/libc-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libpulse-mainloop-glib.so.0.0.4 pulseaudio-libs-glib2-0.9.21-13.el6.x86_64 (Red Hat, Inc.) 1324834209
:/lib64/libselinux.so.1 libselinux-2.0.94-5.2.el6.x86_64 (Red Hat, Inc.) 1324834036
:/usr/lib64/librsvg-2.so.2.26.0 librsvg2-2.26.0-5.el6_1.1.x86_64 (Red Hat, Inc.) 1324834195
:/usr/lib64/libcelt051.so.0.0.0 celt051-0.5.1.3-0.el6.x86_64 (Red Hat, Inc.) 1324838794
:/usr/lib64/python2.6/lib-dynload/_randommodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/lib64/libnss_dns-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libvorbis.so.0.4.3 libvorbis-1:1.2.3-4.el6_2.1.x86_64 (Red Hat, Inc.) 1329304898
:/lib64/libbz2.so.1.0.4 bzip2-libs-1.0.5-7.el6_0.x86_64 (Red Hat, Inc.) 1324834031
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.5-1.el6.x86_64 (Red Hat, Inc.) 1324834177
:/usr/lib64/python2.6/lib-dynload/cStringIO.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/python2.6/site-packages/gtk-2.0/gio/_gio.so pygobject2-2.20.0-5.el6.x86_64 (Red Hat, Inc.) 1324834157
:/usr/lib64/libnssutil3.so nss-util-3.13.1-3.el6_2.x86_64 (Red Hat, Inc.) 1330185058
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-13.el6.x86_64 (Red Hat, Inc.) 1324834031
:/usr/lib64/libcurl.so.4.1.1 libcurl-7.19.7-26.el6_1.2.x86_64 (Red Hat, Inc.) 1324834132
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.86-5.el6.x86_64 (Red Hat, Inc.) 1324834037
:/usr/lib64/libatk-1.0.so.0.2809.1 atk-1.28.0-2.el6.x86_64 (Red Hat, Inc.) 1324834037
:/usr/lib64/python2.6/lib-dynload/termios.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/_gtk.so pygtk2-2.16.0-3.el6.x86_64 (Red Hat, Inc.) 1324834211
:/usr/lib64/libogg.so.0.6.0 libogg-2:1.1.4-2.1.el6.x86_64 (Red Hat, Inc.) 1324834033
:/usr/lib64/gtk-2.0/2.10.0/immodules/im-ibus.so ibus-gtk-1.3.4-6.el6.x86_64 (Red Hat, Inc.) 1324834377
:/usr/lib64/python2.6/lib-dynload/_heapq.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/bin/python python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-4.0.4-1.el6.x86_64 (Red Hat, Inc.) 1324834178
:/usr/lib64/libnss3.so nss-3.13.1-7.el6_2.x86_64 (Red Hat, Inc.) 1330586728
:/usr/lib64/gconv/gconv-modules.cache glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libsmime3.so nss-3.13.1-7.el6_2.x86_64 (Red Hat, Inc.) 1330586728
:/lib64/libkrb5.so.3.3 krb5-libs-1.9-22.el6_2.1.x86_64 (Red Hat, Inc.) 1325761694
:/usr/lib64/libcrypto.so.1.0.0 openssl-1.0.0-20.el6_2.2.x86_64 (Red Hat, Inc.) 1331106560
:/lib64/libresolv-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/python2.6/lib-dynload/binascii.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so librsvg2-2.26.0-5.el6_1.1.x86_64 (Red Hat, Inc.) 1324834195
:/usr/lib64/python2.6/site-packages/_dbus_glib_bindings.so dbus-python-0.83.0-6.1.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/libfa.so.1.3.4 augeas-libs-0.9.0-1.el6.x86_64 (Red Hat, Inc.) 1324838804
:/usr/lib64/libxml2.so.2.7.6 libxml2-2.7.6-4.el6_2.4.x86_64 (Red Hat, Inc.) 1329911435
:/usr/lib64/libtdb.so.1.2.1 libtdb-1.2.1-3.el6.x86_64 (Red Hat, Inc.) 1324834033
:/usr/lib64/python2.6/lib-dynload/itertoolsmodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9-22.el6_2.1.x86_64 (Red Hat, Inc.) 1325761694
:/usr/lib64/python2.6/lib-dynload/mathmodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/libpangocairo-1.0.so.0.2800.1 pango-1.28.1-3.el6_0.5.x86_64 (Red Hat, Inc.) 1324834183
:/usr/lib64/python2.6/site-packages/gtk-2.0/vtemodule.so vte-0.25.1-7.el6.x86_64 (Red Hat, Inc.) 1324834341
:/lib64/libnsl-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.5-1.el6.x86_64 (Red Hat, Inc.) 1324834044
:/usr/share/icons/Mist/icon-theme.cache gnome-themes-2.28.1-6.el6.noarch (Red Hat, Inc.) 1324834226
:/usr/lib64/python2.6/site-packages/libxml2mod.so libxml2-python-2.7.6-4.el6_2.4.x86_64 (Red Hat, Inc.) 1329911440
:/usr/lib64/libasyncns.so.0.3.1 libasyncns-0.8-1.1.el6.x86_64 (Red Hat, Inc.) 1324834040
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.0-4.el6.x86_64 (Red Hat, Inc.) 1324834177
:/lib64/libidn.so.11.6.1 libidn-1.18-2.el6.x86_64 (Red Hat, Inc.) 1324834042
:/usr/lib64/libpyglib-2.0-python.so.0.0.0 pygobject2-2.20.0-5.el6.x86_64 (Red Hat, Inc.) 1324834157
:/usr/lib64/libvirt.so.0.9.4 libvirt-client-0.9.4-23.el6_2.6.x86_64 (Red Hat, Inc.) 1331742148
:/usr/lib64/libspice-client-glib-2.0.so.3.0.2 spice-glib-0.6-2.el6.x86_64 (Red Hat, Inc.) 1324838795
:/usr/lib64/libsndfile.so.1.0.20 libsndfile-1.0.20-5.el6.x86_64 (Red Hat, Inc.) 1324834109
:/usr/lib64/libglade-2.0.so.0.0.7 libglade2-2.6.4-3.1.el6.x86_64 (Red Hat, Inc.) 1324834186
:/usr/lib64/libaugeas.so.0.14.0 augeas-libs-0.9.0-1.el6.x86_64 (Red Hat, Inc.) 1324838804
:/usr/lib64/python2.6/lib-dynload/pyexpat.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/libssl.so.1.0.0 openssl-1.0.0-20.el6_2.2.x86_64 (Red Hat, Inc.) 1331106560
:/usr/lib64/libcairo.so.2.10800.8 cairo-1.8.8-3.1.el6.x86_64 (Red Hat, Inc.) 1324834177
:/usr/lib64/libORBit-2.so.0.1.0 ORBit2-2.14.17-3.1.el6.x86_64 (Red Hat, Inc.) 1324834070
:/lib64/libgmodule-2.0.so.0.2200.5 glib2-2.22.5-6.el6.x86_64 (Red Hat, Inc.) 1324834036
:/usr/lib64/libXi.so.6.1.0 libXi-1.3-3.el6.x86_64 (Red Hat, Inc.) 1324834178
:/usr/lib64/python2.6/lib-dynload/_bisectmodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/glade.so pygtk2-libglade-2.16.0-3.el6.x86_64 (Red Hat, Inc.) 1324834211
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.0.99.2-3.el6.x86_64 (Red Hat, Inc.) 1324834178
:/usr/lib64/python2.6/lib-dynload/selectmodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/libnetcf.so.1.4.0 netcf-libs-0.1.9-2.el6.x86_64 (Red Hat, Inc.) 1324838805
:/lib64/libkeyutils.so.1.3 keyutils-libs-1.4-3.el6.x86_64 (Red Hat, Inc.) 1324834043
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9-22.el6_2.1.x86_64 (Red Hat, Inc.) 1325761694
:/usr/lib64/python2.6/site-packages/gtk-2.0/atk.so pygtk2-2.16.0-3.el6.x86_64 (Red Hat, Inc.) 1324834211
:/lib64/libcrypt-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libltdl.so.7.2.1 libtool-ltdl-2.2.6-15.5.el6.x86_64 (Red Hat, Inc.) 1324834040
:/usr/lib64/libssl3.so nss-3.13.1-7.el6_2.x86_64 (Red Hat, Inc.) 1330586728
:/usr/lib64/libSM.so.6.0.0 libSM-1.1.0-7.1.el6.x86_64 (Red Hat, Inc.) 1324834030
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1-1.el6.x86_64 (Red Hat, Inc.) 1324834179
:/lib64/libexpat.so.1.5.2 expat-2.0.1-9.1.el6.x86_64 (Red Hat, Inc.) 1324834030
:/usr/lib64/python2.6/site-packages/selinux/_selinux.so libselinux-python-2.0.94-5.2.el6.x86_64 (Red Hat, Inc.) 1324834160
:/usr/lib64/python2.6/lib-dynload/_weakref.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/libgdk-x11-2.0.so.0.1800.9 gtk2-2.18.9-6.el6.x86_64 (Red Hat, Inc.) 1324834184
:/usr/lib64/libX11.so.6.3.0 libX11-1.3-2.el6.x86_64 (Red Hat, Inc.) 1324834177
:/usr/lib64/libgtk-vnc-1.0.so.0.0.1 gtk-vnc-0.3.10-3.el6.x86_64 (Red Hat, Inc.) 1324838797
:/usr/lib64/python2.6/lib-dynload/_collectionsmodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.18.4-5.el6.x86_64 (Red Hat, Inc.) 1324834222
:/lib64/libgobject-2.0.so.0.2200.5 glib2-2.22.5-6.el6.x86_64 (Red Hat, Inc.) 1324834036
:/lib64/libdbus-1.so.3.4.0 dbus-libs-1:1.2.24-5.el6_1.x86_64 (Red Hat, Inc.) 1324834028
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-2.el6_2.x86_64 (Red Hat, Inc.) 1329911443
:/usr/lib64/libssh2.so.1.0.1 libssh2-1.2.2-7.el6_1.1.x86_64 (Red Hat, Inc.) 1324834117
:/lib64/libplds4.so nspr-4.8.9-3.el6_2.x86_64 (Red Hat, Inc.) 1330185056
:/usr/lib64/libgsf-1.so.114.0.15 libgsf-1.14.15-5.el6.x86_64 (Red Hat, Inc.) 1324834138
:/lib64/libuuid.so.1.3.0 libuuid-2.17.2-12.4.el6.x86_64 (Red Hat, Inc.) 1324834030
:/lib64/libcap-ng.so.0.0.0 libcap-ng-0.6.4-3.el6_0.1.x86_64 (Red Hat, Inc.) 1324834044
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.30-2.el6.noarch (Red Hat, Inc.) 1324834095
:/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.4.3-12.el6.x86_64 (Red Hat, Inc.) 1324834351
:/usr/lib64/python2.6/site-packages/gtkvnc.so gtk-vnc-python-0.3.10-3.el6.x86_64 (Red Hat, Inc.) 1324838799
:/lib64/libgthread-2.0.so.0.2200.5 glib2-2.22.5-6.el6.x86_64 (Red Hat, Inc.) 1324834036
:/usr/lib64/libvorbisfile.so.3.3.2 libvorbis-1:1.2.3-4.el6_2.1.x86_64 (Red Hat, Inc.) 1329304898
:/lib64/libplc4.so nspr-4.8.9-3.el6_2.x86_64 (Red Hat, Inc.) 1330185056
:/lib64/libsepol.so.1 libsepol-2.0.41-4.el6.x86_64 (Red Hat, Inc.) 1324834036
:/usr/lib64/python2.6/lib-dynload/_functoolsmodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9-22.el6_2.1.x86_64 (Red Hat, Inc.) 1325761694
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-2.28.0-6.el6.x86_64 (Red Hat, Inc.) 1324834132
:/usr/lib64/libpango-1.0.so.0.2800.1 pango-1.28.1-3.el6_0.5.x86_64 (Red Hat, Inc.) 1324834183
:/usr/lib64/libpulse.so.0.12.2 pulseaudio-libs-0.9.21-13.el6.x86_64 (Red Hat, Inc.) 1324834179
:/usr/lib64/python2.6/lib-dynload/arraymodule.so python-2.6.6-29.el6.x86_64 (Red Hat, Inc.) 1324834156
:/lib64/libdevmapper.so.1.02 device-mapper-libs-1.02.66-6.el6.x86_64 (Red Hat, Inc.) 1324834293
:/lib64/libgpg-error.so.0.5.0 libgpg-error-1.7-4.el6.x86_64 (Red Hat, Inc.) 1324834044

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-sgraf
:HOSTNAME=dhcp-27-209.brq.redhat.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=dfa568d8161bd80872078a4c00000030-1331799643.37011-609581681
:HISTSIZE=1000
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/sgraf/.gtkrc-1.2-gnome2
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=sgraf
:SSH_AUTH_SOCK=/tmp/keyring-S4JPg8/socket.ssh
:GNOME_KEYRING_SOCKET=/tmp/keyring-S4JPg8/socket
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3013,unix/unix:/tmp/.ICE-unix/3013
:USERNAME=sgraf
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/sgraf/bin:/home/sgraf/bin
:MAIL=/var/spool/mail/sgraf
:_=/usr/bin/gnome-session
:QT_IM_MODULE=xim
:PWD=/home/sgraf
:XMODIFIERS=@im=none
:GDM_KEYBOARD_LAYOUT=us
:GNOME_KEYRING_PID=3004
:LANG=en_US.utf8
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SHLVL=1
:HOME=/home/sgraf
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=sgraf
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-T31escLSkq,guid=1b9026caac3a691a8d5b65410000004c
:'LESSOPEN=|/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-sgraf-JEMqDV/database

var_log_messages:
:Mar 12 12:38:25 localhost yum[31163]: Installed: python-kitchen-1.0.0-1.el6eso.noarch
:Mar 12 12:48:19 localhost yum[32674]: Erased: python-suds
:Mar 12 13:24:42 localhost yum[1112]: Updated: python-kitchen-1.1.1-1.el6.noarch
:Mar 13 21:29:15 localhost python: abrt: detected unhandled Python exception in /usr/share/virt-who/virt-who.py
:Mar 14 09:16:46 localhost dbus: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.148" (uid=500 pid=7428 comm="/usr/bin/python) interface="org.freedesktop.NetworkManager" member="GetDevices" error name="(unset)" requested_reply=0 destination=":1.53" (uid=500 pid=3209 comm="nm-applet))
:Mar 14 10:06:33 localhost python: abrt: detected unhandled Python exception in /usr/share/virt-who/virt-who.py
:Mar 14 10:11:20 localhost dbus: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.81" (uid=500 pid=3954 comm="/usr/bin/python) interface="org.freedesktop.NetworkManager" member="GetDevices" error name="(unset)" requested_reply=0 destination=":1.50" (uid=500 pid=3218 comm="nm-applet))
:Mar 14 10:13:33 localhost python: abrt: detected unhandled Python exception in /usr/share/virt-who/virt-who.py
:Mar 14 10:19:39 localhost python: abrt: detected unhandled Python exception in /usr/share/virt-who/virt-who.py
:Mar 14 10:29:07 localhost dbus: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.85" (uid=500 pid=4404 comm="/usr/bin/python) interface="org.freedesktop.NetworkManager" member="GetDevices" error name="(unset)" requested_reply=0 destination=":1.45" (uid=500 pid=3169 comm="nm-applet))
:Mar 14 10:32:30 localhost yum[4795]: Erased: python-virtinst
:Mar 14 10:32:32 localhost yum[4795]: Erased: libvirt-python
:Mar 14 10:34:25 localhost yum[4915]: Installed: libvirt-python-0.9.4-23.el6_2.6.x86_64
:Mar 14 10:34:27 localhost yum[4915]: Installed: python-virtinst-0.600.0-5.el6.noarch
:Mar 14 11:01:09 localhost dbus: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.145" (uid=500 pid=7204 comm="/usr/bin/python) interface="org.freedesktop.NetworkManager" member="GetDevices" error name="(unset)" requested_reply=0 destination=":1.45" (uid=500 pid=3169 comm="nm-applet))
:Mar 14 13:01:45 localhost python: abrt: detected unhandled Python exception in /usr/share/virt-who/virt-who.py
:Mar 14 15:24:11 localhost yum[7507]: Erased: python-virtinst
:Mar 14 15:24:13 localhost yum[7507]: Erased: libvirt-python
:Mar 14 17:22:33 localhost yum[4619]: Installed: libvirt-python-0.9.4-23.el6_2.6.x86_64
:Mar 14 17:22:36 localhost yum[4619]: Installed: python-virtinst-0.600.0-5.el6.noarch
:Mar 15 09:22:48 dhcp-27-209 kernel: python[3575]: segfault at 24 ip 0000003b26460e69 sp 00007fff21c841f0 error 4 in libgtk-x11-2.0.so.0.1800.9[3b26200000+45d000]
:Mar 15 09:22:48 dhcp-27-209 abrt[3619]: saved core dump of pid 3575 (/usr/bin/python) to /var/spool/abrt/ccpp-2012-03-15-09:22:48-3575.new/coredump (55844864 bytes)

xsession_errors:
:Warning: python-keybinder is not installed. This means the hide_window shortcut will be unavailable
:Warning: python-keybinder is not installed. This means the hide_window shortcut will be unavailable
Comment 1 Stanislav Graf 2012-03-15 04:28:28 EDT
Created attachment 570204 [details]
File: backtrace
Comment 2 Stanislav Graf 2012-03-15 04:28:30 EDT
Created attachment 570205 [details]
File: maps
Comment 4 Cole Robinson 2012-04-02 17:45:02 EDT
Libvirt crash, reassigning
Comment 5 Peter Krempa 2012-04-03 06:35:02 EDT
Hi Stanislav,
do you have the core dump file for this crash or are you able to reproduce this?

Peter
Comment 6 Stanislav Graf 2012-04-03 07:22:25 EDT
Hi,

I was able to reproduce again right now (tried second time, crashed second time, so far 100% reproducibility), abrt has collected all necessary files.

Reproduction:
- I used virt-manager
- logged into local connection (local libvirt)
- menu-edit-'connection details'
- storage
- New volume (default 1000MB) - repeat 10x - test1...test10
- close/exit virt-manager

- open virt-manager
- logged into local connection (local libvirt)
- menu-edit-'connection details'
- storage
- select volume - 'delete volume' - yes - repeat 10x

virt-manager crashed, coredump created
Comment 7 Stanislav Graf 2012-04-03 07:31:50 EDT
Abrt created Bug 809435 using reproduction scenario from Comment 6
Comment 8 Peter Krempa 2012-04-03 08:09:53 EDT
This is actualy not a libvirt bug. ABRT is wrongly reporting the crash function to be write() from libvirt's virNetSocketWriteWire() but the backtrace states that the bug happened in function: #0  0x0000003666c52dd3 in node_get_last (iter=<value optimized out>) at gsequence.c:1377 and the libvirt library was just handling a call at that moment. Backtrace to BZ #809435 confirms this.

Reassigning back to virt-manager, but it's probably a bug of pygtk. I'm not able to crash the current upstream virt-manager using the procedure in comment 6, so it's probably fixed or worked around.
Comment 9 Peter Krempa 2012-04-03 08:12:46 EDT
*** Bug 809435 has been marked as a duplicate of this bug. ***
Comment 10 Cole Robinson 2012-04-16 13:14:46 EDT
Created attachment 577781 [details]
Fix the crash

Sorry for the run around, this is a virt-manager threads issue. Attached patch fixes it for me (and is also what upstream has)
Comment 11 Cole Robinson 2012-04-25 14:55:01 EDT
Fix built in virt-manager-0.9.0-12.el6
Comment 13 Huming Jiang 2012-04-26 02:43:49 EDT
Reproduced it with virt-manager-0.9.0-11.el6.x86_64

Verified it with the following packages:
virt-manager-0.9.0-12.el6.x86_64
qemu-kvm-0.12.1.2-2.286.el6.x86_64
python-virtinst-0.600.0-8.el6.noarch
libvirt-0.9.10-14.el6.x86_64

Steps:
- Used virt-manager
- logged into local connection (local libvirt)
- menu-edit-'connection details'
- storage
- New volume (default 1000MB) - repeat 10x - test1...test10
- close/exit virt-manager

- open virt-manager
- logged into local connection (local libvirt)
- menu-edit-'connection details'
- storage
- select volume - 'delete volume' - yes - repeat 10x

virt-manager is OK.

So, move the status to 'verified'.
Comment 14 Cole Robinson 2012-06-12 11:35:06 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, virt-manager could crash if the user quickly deleted several storage volumes in succession. This crash was caused by data locking when deleting the storage volume. This crash has been fixed.
Comment 16 errata-xmlrpc 2012-06-20 08:39:36 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0785.html

Note You need to log in before you can comment on or make changes to this bug.